Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.explorer
Class TrialListenerManager

    java.lang.Object
      |
      +--org.netbeans.jemmy.explorer.TrialListenerManager

All Implemented Interfaces:
  Outputable

public class TrialListenerManager
extends java.lang.Object
implements Outputable

Auxiliary class to find an event sequence which should be posted to reproduce user actions.

Author:
  Alexandre Iline (alexandre.iline@sun.com)

Constructor Summary
`TrialListenerManager(java.awt.Component comp)` Contructor.

Method Summary
`void` | `addKeyListener()` Adds key listener.
`void` | `addMouseListener()` Adds mouse listener.
`void` | `addMouseMotionListener()` Adds mouse motion listener.
`TestOut` | `getOutput()` Returns print output streams or writers.
`void` | `removeKeyListener()` Removes key listener.
`void` | `removeMouseListener()` Removes mouse listener.
`void` | `removeMouseMotionListener()` Removes mouse motion listener.
`void` | `setOutput(TestOut output)` Defines print output streams or writers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrialListenerManager

    public TrialListenerManager(java.awt.Component comp)

  Contructor.
  Parameters:
    `comp` - Component to display event sequence for.

Method Detail

### setOutput

    public void setOutput(TestOut output)

  Description copied from interface: `Outputable`
  Defines print output streams or writers.
  Specified by:
    `setOutput` in interface `Outputable`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Parameters:
    `out` - Identify the streams or writers used for print output.
  See Also:
    `Outputable.getOutput()`

### getOutput

    public TestOut getOutput()

  Description copied from interface: `Outputable`
  Returns print output streams or writers.
  Specified by:
    `getOutput` in interface `Outputable`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Returns:
    an object that contains references to objects for printing to output and err streams.
  See Also:
    `Outputable.setOutput(org.netbeans.jemmy.TestOut)`

### removeMouseListener

    public void removeMouseListener()

  Removes mouse listener.
  See Also:
    `addMouseListener()`

### addMouseListener

    public void addMouseListener()

  Adds mouse listener.
  See Also:
    `removeMouseListener()`

### removeMouseMotionListener

    public void removeMouseMotionListener()

  Removes mouse motion listener.
  See Also:
    `addMouseMotionListener()`

### addMouseMotionListener

    public void addMouseMotionListener()

  Adds mouse motion listener.
  See Also:
    `removeMouseMotionListener()`

### removeKeyListener

    public void removeKeyListener()

  Removes key listener.
  See Also:
    `addKeyListener()`

### addKeyListener

    public void addKeyListener()

  Adds key listener.
  See Also:
    `removeKeyListener()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD